## com.baidubce.services.bos.model
Class MultipartUploadSummary

    java.lang.Object
      com.baidubce.services.bos.model.MultipartUploadSummary

    public class MultipartUploadSummary

extends Object

A multipart upload is an upload to Baidu Bos that is creating by uploading individual pieces of an object, then telling Baidu Bos to complete the multipart upload and concatenate all the individual pieces together into a single object.

Constructor Summary
`MultipartUploadSummary()`

Method Summary
`Date` `getInitiated()` Returns the date at which this upload was initiated.
`String` `getKey()` Returns the key by which this upload is stored.
`User` `getOwner()` Returns the owner of this multipart upload.
`String` `getUploadId()` Returns the unique ID of this multipart upload.
`void` `setInitiated(Date initiated)` Sets the date at which this upload was initiated.
`void` `setKey(String key)` Sets the key by which this upload is stored.
`void` `setOwner(User owner)` Sets the owner of this multipart upload.
`void` `setUploadId(String uploadId)` Sets the unique ID of this multipart upload.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipartUploadSummary

    public MultipartUploadSummary()

Method Detail

### getKey

    public String getKey()

  Returns the key by which this upload is stored.

  Returns:
    The key by which this upload is stored.

### setKey

    public void setKey(String key)

  Sets the key by which this upload is stored.

  Parameters:
    `key` - The key by which this upload is stored.

### getUploadId

    public String getUploadId()

  Returns the unique ID of this multipart upload.

  Returns:
    The unique ID of this multipart upload.

### setUploadId

    public void setUploadId(String uploadId)

  Sets the unique ID of this multipart upload.

  Parameters:
    `uploadId` - The unique ID of this multipart upload.

### getOwner

    public User getOwner()

  Returns the owner of this multipart upload.

  Returns:
    The owner of this multipart upload.

### setOwner

    public void setOwner(User owner)

  Sets the owner of this multipart upload.

  Parameters:
    `owner` - The owner of this multipart upload.

### getInitiated

    public Date getInitiated()

  Returns the date at which this upload was initiated.

  Returns:
    The date at which this upload was initiated.

### setInitiated

    public void setInitiated(Date initiated)

  Sets the date at which this upload was initiated.

  Parameters:
    `initiated` - The date at which this upload was initiated.

Copyright © 2016. All rights reserved.